
using NHibernate;
using NUnit.Framework;
using UnitTestIssue.Model;
using UnitTests.Utils;

namespace UnitTestIssue.Tests.Users
{
    [TestFixture]
    public class ApplicationRepositoryFixture : InMemoryDbTestFixtureBase
    {
        private ISession _session;

        [TestFixtureSetUp]
        public void FixtureSetUp()
        {
            InitialiseNHibernate(typeof(Model.User).Assembly);
        }

        [SetUp]
        public void SetUp()
        {
            _session = CreateSession();
        }

        [Test]
        public void CanInsertUser()
        {
            var user = new User() {FullName = "JetBrains", Name = "Resharper"};
            _session.Save(user);
            _session.Flush();
            _session.Clear();
            var actualUser = _session.Get<User>(user.Id);
            Assert.IsNotNull(actualUser);
        }
    }
}